Package com.tapjoy

# Class TJPrivacyPolicy

java.lang.Object
com.tapjoy.TJPrivacyPolicy

public class TJPrivacyPolicy extends Object
This class is used to set the privacy policy for the user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.tapjoy.TJStatus`
  `getBelowConsentAge()`
  Returns the consent age (COPPA) flag applied to the user.
  `static TJPrivacyPolicy`
  `getInstance()`
  Returns the default instance of this class.
  `com.tapjoy.TJStatus`
  `getSubjectToGDPR()`
  Returns configured GDPR value.
  `com.tapjoy.TJStatus`
  `getUsageStatsConsent()`
  WARNING: EXPERIMENTAL API - DO NOT USE IT
  `com.tapjoy.TJStatus`
  `getUserConsent()`
  Returns user's consent to behavioral advertising such as in the context of GDPR The consent value can be TJStatus.FALSE (User has not provided consent), TJStatus.TRUE (User has provided consent).
  `String`
  `getUSPrivacy()`
  Returns US Privacy value to behavioral advertising such as in the context of CCPA
  `void`
  `setBelowConsentAge(com.tapjoy.TJStatus belowConsentAge)`
  In the US, the Children’s Online Privacy Protection Act (COPPA) imposes certain requirements on operators of online services that (a) have actual knowledge that the connected user is a child under 13 years of age, or (b) operate services (including apps) that are directed to children under 13.
  `void`
  `setSubjectToGDPR(com.tapjoy.TJStatus gdprApplicable)`
  This can be used by the integrating App to indicate if the user falls in any of the GDPR applicable countries (European Economic Area).
  `void`
  `setUsageStatsConsent(com.tapjoy.TJStatus usageStatsConsent)`
  WARNING: EXPERIMENTAL API - DO NOT USE IT
  `void`
  `setUserConsent(com.tapjoy.TJStatus value)`
  This is used for sending User's consent to behavioral advertising such as in the context of GDPR The consent value can be TJStatus.FALSE (User has not provided consent), TJStatus.TRUE (User has provided consent)
  `void`
  `setUSPrivacy(String privacyValue)`
  This is used for sending US Privacy value to behavioral advertising such as in the context of GDPR The value can be in IAB's US Privacy String Format consists of specification version to encode the string in number, explicit notice or opportunity to opt out in enum, opt-out sale in enum, LSPA covered transaction in enum .

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static TJPrivacyPolicy getInstance()
    Returns the default instance of this class.
    Returns:
      TJPrivacyPolicy instance

  - ### setSubjectToGDPR

    public void setSubjectToGDPR(com.tapjoy.TJStatus gdprApplicable)
    This can be used by the integrating App to indicate if the user falls in any of the GDPR applicable countries (European Economic Area). The value should be set to TRUE when User (Subject) is applicable to GDPR regulations and FALSE when User is not applicable to GDPR regulations. In the absence of this call, Tapjoy server makes the determination of GDPR applicability.
    Parameters:
      `gdprApplicable` - True if GDPR applies to this user, false otherwise

  - ### getSubjectToGDPR

    public com.tapjoy.TJStatus getSubjectToGDPR()
    Returns configured GDPR value. The value should be returned to TRUE when User (Subject) is applicable to GDPR regulations and FALSE when User is not applicable to GDPR regulations.
    Returns:
      TJStatus.TRUE if GDPR applies to this user, TJStatus.FALSE otherwise

  - ### setUserConsent

    public void setUserConsent(com.tapjoy.TJStatus value)
    This is used for sending User's consent to behavioral advertising such as in the context of GDPR The consent value can be TJStatus.FALSE (User has not provided consent), TJStatus.TRUE (User has provided consent)
    Parameters:
      `value` - The user consent value.

  - ### getUserConsent

    public com.tapjoy.TJStatus getUserConsent()
    Returns user's consent to behavioral advertising such as in the context of GDPR The consent value can be TJStatus.FALSE (User has not provided consent), TJStatus.TRUE (User has provided consent).
    Returns:
      The user consent value

  - ### setBelowConsentAge

    public void setBelowConsentAge(com.tapjoy.TJStatus belowConsentAge)
    In the US, the Children’s Online Privacy Protection Act (COPPA) imposes certain requirements on operators of online services that (a) have actual knowledge that the connected user is a child under 13 years of age, or (b) operate services (including apps) that are directed to children under 13.

    Similarly, the GDPR imposes certain requirements in connection with data subjects who are below the applicable local minimum age for online consent (ranging from 13 to 16, as established by each member state).

    For applications that are not directed towards children under 13 years of age, but still have a minority share of users known to be under the applicable minimum age, utilize this method to access Tapjoy’s monetization capability. This method will set ad_tracking_enabled to false for Tapjoy which only shows the user contextual ads. No ad tracking will be done on this user.

    Parameters:
      `belowConsentAge` - TJStatus.TRUE if below consent age (COPPA) applies to this user, TJStatus.FALSE otherwise

  - ### getBelowConsentAge

    public com.tapjoy.TJStatus getBelowConsentAge()
    Returns the consent age (COPPA) flag applied to the user.
    Returns:
      TJStatus.TRUE if below consent age (COPPA) applies to this user, TJStatus.FALSE otherwise

  - ### setUSPrivacy

    public void setUSPrivacy(String privacyValue)
    This is used for sending US Privacy value to behavioral advertising such as in the context of GDPR The value can be in IAB's US Privacy String Format consists of specification version to encode the string in number, explicit notice or opportunity to opt out in enum, opt-out sale in enum, LSPA covered transaction in enum . eg. "1YNN" where 1 is char in string for the version, Y = YES, N = No, - = Not Applicable See: IAB suggested US Privacy String Format : https://github.com/InteractiveAdvertisingBureau/USPrivacy/blob/master/CCPA/Version%201.0/US%20Privacy%20String.md#us-privacy-string-format
    Parameters:
      `privacyValue` - The us privacy value string

  - ### getUSPrivacy

    public String getUSPrivacy()
    Returns US Privacy value to behavioral advertising such as in the context of CCPA
    Returns:
      The us privacy value string

  - ### setUsageStatsConsent

    @Experimental("This method is experimental and intended for internal usage only") public void setUsageStatsConsent(com.tapjoy.TJStatus usageStatsConsent)
    WARNING: EXPERIMENTAL API - DO NOT USE IT

    This method is experimental and intended for internal purposes only.

    Sets the user's consent status for accessing Android's Usage Stats API. The Android Usage Stats API (UsageStatsManager) allows apps to access data about app usage on the device.

    Parameters:
      `usageStatsConsent` - TJStatus.TRUE if the user has granted permission to access their usage statistics, TJStatus.FALSE if they have denied or not yet granted permission.

  - ### getUsageStatsConsent

    @Experimental("This method is experimental and intended for internal usage only") public com.tapjoy.TJStatus getUsageStatsConsent()
    WARNING: EXPERIMENTAL API - DO NOT USE IT

    This method is experimental and intended for internal purposes only.

    Returns the user's consent status for accessing Android's Usage Stats API.

    Returns:
      TJStatus.TRUE if the user agrees, TJStatus.FALSE otherwise